Ajp13RequestHeaders (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.ajp

## Class Ajp13RequestHeaders

- java.lang.Object
- - org.eclipse.jetty.io.BufferCache
  - - org.eclipse.jetty.ajp.Ajp13RequestHeaders

-     public class Ajp13RequestHeaders
      extends BufferCache

  XXX Should this implement the Buffer interface?

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.io.BufferCache

      `BufferCache.CachedBuffer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCEPT`
    `static Buffer` | `ACCEPT_BUFFER`
    `static String` | `ACCEPT_CHARSET`
    `static Buffer` | `ACCEPT_CHARSET_BUFFER`
    `static int` | `ACCEPT_CHARSET_ORDINAL`
    `static String` | `ACCEPT_ENCODING`
    `static Buffer` | `ACCEPT_ENCODING_BUFFER`
    `static int` | `ACCEPT_ENCODING_ORDINAL`
    `static String` | `ACCEPT_LANGUAGE`
    `static Buffer` | `ACCEPT_LANGUAGE_BUFFER`
    `static int` | `ACCEPT_LANGUAGE_ORDINAL`
    `static int` | `ACCEPT_ORDINAL`
    `static byte` | `AUTH_TYPE_ATTR`
    `static String` | `AUTHORIZATION`
    `static Buffer` | `AUTHORIZATION_BUFFER`
    `static int` | `AUTHORIZATION_ORDINAL`
    `static BufferCache` | `CACHE`
    `static String` | `CONNECTION`
    `static Buffer` | `CONNECTION_BUFFER`
    `static int` | `CONNECTION_ORDINAL`
    `static String` | `CONTENT_LENGTH`
    `static Buffer` | `CONTENT_LENGTH_BUFFER`
    `static int` | `CONTENT_LENGTH_ORDINAL`
    `static String` | `CONTENT_TYPE`
    `static Buffer` | `CONTENT_TYPE_BUFFER`
    `static int` | `CONTENT_TYPE_ORDINAL`
    `static byte` | `CONTEXT_ATTR`
    `static String` | `COOKIE`
    `static Buffer` | `COOKIE_BUFFER`
    `static int` | `COOKIE_ORDINAL`
    `static String` | `COOKIE2`
    `static Buffer` | `COOKIE2_BUFFER`
    `static int` | `COOKIE2_ORDINAL`
    `static String` | `HOST`
    `static Buffer` | `HOST_BUFFER`
    `static int` | `HOST_ORDINAL`
    `static byte` | `JVM_ROUTE_ATTR`
    `static int` | `MAGIC`
    `static String` | `PRAGMA`
    `static Buffer` | `PRAGMA_BUFFER`
    `static int` | `PRAGMA_ORDINAL`
    `static byte` | `QUERY_STRING_ATTR`
    `static String` | `REFERER`
    `static Buffer` | `REFERER_BUFFER`
    `static int` | `REFERER_ORDINAL`
    `static byte` | `REMOTE_USER_ATTR`
    `static byte` | `REQUEST_ATTR`
    `static byte` | `SECRET_ATTR`
    `static byte` | `SERVLET_PATH_ATTR`
    `static byte` | `SSL_CERT_ATTR`
    `static byte` | `SSL_CIPHER_ATTR`
    `static byte` | `SSL_KEYSIZE_ATTR`
    `static byte` | `SSL_SESSION_ATTR`
    `static byte` | `STORED_METHOD_ATTR`
    `static String` | `USER_AGENT`
    `static Buffer` | `USER_AGENT_BUFFER`
    `static int` | `USER_AGENT_ORDINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ajp13RequestHeaders()`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.jetty.io.BufferCache

      `add, get, get, get, getBest, getOrdinal, getOrdinal, lookup, lookup, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAGIC

          public static final int MAGIC

      See Also:
        Constant Field Values

    - #### ACCEPT

          public static final String ACCEPT

      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET

          public static final String ACCEPT_CHARSET

      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING

          public static final String ACCEPT_ENCODING

      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE

          public static final String ACCEPT_LANGUAGE

      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          public static final String AUTHORIZATION

      See Also:
        Constant Field Values

    - #### CONNECTION

          public static final String CONNECTION

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          public static final String CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### COOKIE

          public static final String COOKIE

      See Also:
        Constant Field Values

    - #### COOKIE2

          public static final String COOKIE2

      See Also:
        Constant Field Values

    - #### HOST

          public static final String HOST

      See Also:
        Constant Field Values

    - #### PRAGMA

          public static final String PRAGMA

      See Also:
        Constant Field Values

    - #### REFERER

          public static final String REFERER

      See Also:
        Constant Field Values

    - #### USER_AGENT

          public static final String USER_AGENT

      See Also:
        Constant Field Values

    - #### ACCEPT_ORDINAL

          public static final int ACCEPT_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET_ORDINAL

          public static final int ACCEPT_CHARSET_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING_ORDINAL

          public static final int ACCEPT_ENCODING_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE_ORDINAL

          public static final int ACCEPT_LANGUAGE_ORDINAL

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_ORDINAL

          public static final int AUTHORIZATION_ORDINAL

      See Also:
        Constant Field Values

    - #### CONNECTION_ORDINAL

          public static final int CONNECTION_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_ORDINAL

          public static final int CONTENT_TYPE_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH_ORDINAL

          public static final int CONTENT_LENGTH_ORDINAL

      See Also:
        Constant Field Values

    - #### COOKIE_ORDINAL

          public static final int COOKIE_ORDINAL

      See Also:
        Constant Field Values

    - #### COOKIE2_ORDINAL

          public static final int COOKIE2_ORDINAL

      See Also:
        Constant Field Values

    - #### HOST_ORDINAL

          public static final int HOST_ORDINAL

      See Also:
        Constant Field Values

    - #### PRAGMA_ORDINAL

          public static final int PRAGMA_ORDINAL

      See Also:
        Constant Field Values

    - #### REFERER_ORDINAL

          public static final int REFERER_ORDINAL

      See Also:
        Constant Field Values

    - #### USER_AGENT_ORDINAL

          public static final int USER_AGENT_ORDINAL

      See Also:
        Constant Field Values

    - #### CACHE

          public static final BufferCache CACHE

    - #### ACCEPT_BUFFER

          public static final Buffer ACCEPT_BUFFER

    - #### ACCEPT_CHARSET_BUFFER

          public static final Buffer ACCEPT_CHARSET_BUFFER

    - #### ACCEPT_ENCODING_BUFFER

          public static final Buffer ACCEPT_ENCODING_BUFFER

    - #### ACCEPT_LANGUAGE_BUFFER

          public static final Buffer ACCEPT_LANGUAGE_BUFFER

    - #### AUTHORIZATION_BUFFER

          public static final Buffer AUTHORIZATION_BUFFER

    - #### CONNECTION_BUFFER

          public static final Buffer CONNECTION_BUFFER

    - #### CONTENT_TYPE_BUFFER

          public static final Buffer CONTENT_TYPE_BUFFER

    - #### CONTENT_LENGTH_BUFFER

          public static final Buffer CONTENT_LENGTH_BUFFER

    - #### COOKIE_BUFFER

          public static final Buffer COOKIE_BUFFER

    - #### COOKIE2_BUFFER

          public static final Buffer COOKIE2_BUFFER

    - #### HOST_BUFFER

          public static final Buffer HOST_BUFFER

    - #### PRAGMA_BUFFER

          public static final Buffer PRAGMA_BUFFER

    - #### REFERER_BUFFER

          public static final Buffer REFERER_BUFFER

    - #### USER_AGENT_BUFFER

          public static final Buffer USER_AGENT_BUFFER

    - #### CONTEXT_ATTR

          public static final byte CONTEXT_ATTR

      See Also:
        Constant Field Values

    - #### SERVLET_PATH_ATTR

          public static final byte SERVLET_PATH_ATTR

      See Also:
        Constant Field Values

    - #### REMOTE_USER_ATTR

          public static final byte REMOTE_USER_ATTR

      See Also:
        Constant Field Values

    - #### AUTH_TYPE_ATTR

          public static final byte AUTH_TYPE_ATTR

      See Also:
        Constant Field Values

    - #### QUERY_STRING_ATTR

          public static final byte QUERY_STRING_ATTR

      See Also:
        Constant Field Values

    - #### JVM_ROUTE_ATTR

          public static final byte JVM_ROUTE_ATTR

      See Also:
        Constant Field Values

    - #### SSL_CERT_ATTR

          public static final byte SSL_CERT_ATTR

      See Also:
        Constant Field Values

    - #### SSL_CIPHER_ATTR

          public static final byte SSL_CIPHER_ATTR

      See Also:
        Constant Field Values

    - #### SSL_SESSION_ATTR

          public static final byte SSL_SESSION_ATTR

      See Also:
        Constant Field Values

    - #### REQUEST_ATTR

          public static final byte REQUEST_ATTR

      See Also:
        Constant Field Values

    - #### SSL_KEYSIZE_ATTR

          public static final byte SSL_KEYSIZE_ATTR

      See Also:
        Constant Field Values

    - #### SECRET_ATTR

          public static final byte SECRET_ATTR

      See Also:
        Constant Field Values

    - #### STORED_METHOD_ATTR

          public static final byte STORED_METHOD_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Ajp13RequestHeaders

          public Ajp13RequestHeaders()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.